const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bantaeng',
    'Kabupaten Barru',
    'Kabupaten Bone',
    'Kabupaten Bulukumba',
    'Kabupaten Enrekang',
    'Kabupaten Gowa',
    'Kabupaten Jeneponto',
    'Kabupaten Kepulauan Selayar',
    'Kabupaten Luwu',
    'Kabupaten Luwu Timur',
    'Kabupaten Luwu Utara',
    'Kabupaten Maros',
    'Kabupaten Pangkajene dan Kepulauan',
    'Kabupaten Pinrang',
    'Kabupaten Sidenreng Rappang',
    'Kabupaten Sinjai',
    'Kabupaten Soppeng',
    'Kabupaten Takalar',
    'Kabupaten Tana Toraja',
    'Kabupaten Toraja Utara',
    'Kabupaten Wajo',
    'Kota Makassar',
    'Kota Palopo',
    'Kota Parepare'

    // 24
];

exports.seedSulawesiSelatanCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sulawesi Selatan' },
    });

    if (!province) {
        console.error('❌ Province Sulawesi Selatan not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sulawesi Selatan City seeded!.');
};